:root {
    --primary-color: #032836;
    --secondary-color: #4d7f91;
    --third-color: #053f55;
    --background-color: #dbdfe0;
}

body {
    background-color: #032836;
    margin: 0;
    padding: 0;
    color: #fff;
}
.card {
    /* background-color: #ecedee; */
    border-radius: 0;
    color: #053f55;
}
/* .form-control {
    border-radius: 0.5rem;
    padding: 10px;
    height: initial;
  } */
.btn {
    border-radius: 3rem;
}

.btn-circle {
    width: 50px;
    height: 50px;
    text-align: center;
    padding: 6px 0;
    font-size: 12px;
    line-height: 1.428571429;
    border-radius: 25px;
    position: relative;
}
.btn-circle.btn-lg {
    width: 60px;
    height: 60px;
    padding: 0;
    font-size: 18px;
    line-height: 1.33;
    border-radius: 30px;
}
.btn-circle.btn-xl {
    width: 70px;
    height: 70px;
    padding: 10px 16px;
    font-size: 24px;
    line-height: 1.33;
    border-radius: 35px;
}

.user-display-name {
    position: absolute;
    top: 0;
    left: 0;
    padding: 10px;
    padding-right: 20px;
    background: rgba(0, 0, 0, 0.8);
    color: #fff;
    font-weight: 600;
}
.container-fluid.room-content {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: 0;
    padding: 0;
}
#video-row2 {
    flex-flow: row wrap;
}

.room-footer {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100px;
    padding: 0;
    margin: 0;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-evenly;
    align-items: center;
}

.video-element {
    min-width: 120px;
    height: 100px;
    right: 50px;
    position: absolute;
    bottom: 10px;
    background: rgba(0, 0, 0, 0.8);
    border-radius: 4px;
    border: 1px solid cornflowerblue;
    overflow: hidden;
}
.local-video-container {
    position: relative;
    height: 100px;
    width: 33.333%;
}

.local-video-controls-container {
    position: relative;
    height: 100px;
    width: 33.333%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.local-room-options {
    position: relative;
    height: 100px;
    width: 33.333%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 20px;
}

.remote-video-container {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: calc(100vh - 115px);
    display: flex;
    flex-flow: column;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
}
.remote-video-container .video-row {
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr;
    width: 100%;
    height: 100%;
    padding: 0px;
}
.video-row.minimized {
    padding-right: 5px;
}
.remote-video-box {
    width: 100%;
    background: rgba(0, 0, 0, 0.7);
    display: flex;
    margin: 1px;
    display: flex;
    flex-flow: column;
    position: relative;
}
.remote-video-box video {
    height: 100%;
    max-height: 100%;
    min-height: 100%;
    object-fit: contain;
    object-position: center;
}

.video-element video {
    height: 100%;
    max-height: 100%;
    --moz-width: 100%;
    object-fit: cover;
    object-position: center;
}
.video-element .user-display-name {
    display: none;
}
.video-element #localVideoExpand {
    display: flex;
    position: absolute;
    top: 5px;
    left: 5px;
    cursor: pointer;
}

.remote-video-box #localVideoExpand {
    display: flex;
    position: absolute;
    bottom: 5px;
    right: 5px;
    cursor: pointer;
}

.enter-room-container {
    width: 700px;
    background-color: rgba(255, 255, 255, 0.85);
    padding: 30px;
}
.enter-room-container .form-group {
    flex: 1;
    margin: 0;
    margin-right: 0px;
    margin-right: 20px;
}
.enter-room {
    display: flex;
    flex-flow: row;
    justify-content: center;
    align-items: flex-end;
}
.enter-room .btn {
    width: 120px;
}
.enter-room input {
    border-color: transparent;
    border-radius: 0;
    padding: 0 8px 5px 0;
    text-align: left;
    color: #053f55;
    height: fit-content;
    background-color: transparent;
    border-width: 0 0 2px;
    border-style: solid;
    border-image: linear-gradient(to right, #346f84, transparent) 1;
    outline: none;
}
.enter-room .form-control:focus {
    box-shadow: none;
    background: transparent;
}
.enter-room label {
    font-size: 20px;
    font-weight: 700;
    color: #07516c;
}

.pattern-overlay:after {
    content: "";
    background: url(/images/sudowoodo160600025.jpg);
    opacity: 0.02;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    position: absolute;
    z-index: -1;
    filter: grayscale(100%);
}
.btn-link {
    color: #07516c;
    /* color: #4d7f91; */
    margin: 0;
    font-size: 1rem;
}

.modal-content.login-modal {
    background-color: #ecedee;
    padding: 0px 0 20px 0; /* Changed from 100px at the bottom */
    color: #07516c;
    border-radius: 10px !important;
    box-shadow: 0px 0px 15px 0px #000;
    /* Removed background */
}

.modal-content {
    background: #ecebee !important;
    color: #000;
}

.modal-header {
    border-bottom: 0px solid transparent;
    height: 60px; /* Added to decrease modals height*/
}

.text-sm {
    font-size: 0.8rem;
}

.card-header {
    background-color: transparent;
    color: #0e313e;
    border-radius: 0;
    border-bottom: none;
}
.privacy-policy .card-header button {
    color: #0e313e;
    font-size: 1.2rem;
    font-weight: 600;
}

.sharing::after {
    content: "";
    position: absolute;
    top: 0.6rem;
    bottom: 0;
    left: 0.5rem;
    border: 2px solid #06c806;
    width: 1.2rem;
    height: 0.7rem;
}
.toast {
    background-color: #fff;
    max-width: 400px;
    color: #07516c;
}
.toast-footer {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 10px;
}

/**
  connection quality
  */
.signal.low {
    color: #e53935;
}
.signal.medium {
    color: #ffb300;
}
.signal.high {
    color: #aeea00;
}
.signal.excellent {
    color: #64dd17;
}

/**
  connection quality
  */

.button-badge:hover {
    color: #4d7f91;
}
.button-badge {
    cursor: pointer;
    padding: 5px;
    font-size: 0.8em;
    position: relative;
}
.icofont-video {
    position: relative;
}
#room-mute-video.muted::after {
    content: "";
    width: 1px;
    height: 24px;
    background-color: #212529;
    position: absolute;
    transform: rotate(35deg);
    left: 22px;
    box-shadow: 0 0 1px 1px #fff;
    top: 12px;
}
.navbar-brand {
    font-size: 1.2rem;
}
.navbar-brand small {
    font-size: 0.8rem;
    color: #e0e0e0;
}

/* Commented */

/* .modal-content{
      background-color: rgba(7, 81, 108, 0.85);
  } */

.modal-header {
    border-bottom: 0px solid #021f2a;
}

.master-volume-slider {
    position: absolute;
    left: 35px;
    height: 25px;
    display: none;
    justify-content: center;
    align-items: center;
    flex-flow: row;
    background: rgba(0, 0, 0, 0.7);
    padding: 5px;
    border-radius: 2px;
}
.video-options {
    width: 100%;
    position: absolute;
    bottom: 0;
    display: flex;
    padding: 10px;
    background: rgba(0, 0, 0, 0.9);
    justify-content: space-between;
}
.audio-controls {
    display: flex;
    color: #fff;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    font-size: 1em;
}

.form-control-range {
    width: 80px;
    margin: 0 5px 0 5px;
    background-color: transparent;
}

.video-controls {
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
}

.control-item {
    width: 30px;
    height: 30px;
    border-radius: 3px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.4em;
    color: #fff;
    cursor: pointer;
}
.control-item:hover {
    background-color: #07516c;
}
.control-item.focused {
    background-color: #07516c;
    color: #fff !important;
}

/* .btn-primary {
    background-color: #07516c;
    border-color: #053f55;
} */
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active {
    background-color: #053f55;
    border-color: #053f55;
}

.vidage-overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background: rgba(1, 27, 36, 0.9);
}

.bg-kinetx {
    background-color: #032836 !important;
}

.welcome-title {
    display: flex;
    align-items: baseline;
    /*justify-content: ;*/
}
.welcome-title h1 {
    color: #fff;
    font-size: 3.3rem;
}
.welcome-title a {
    color: #fff;
    font-size: 0.8rem;
}

.welcome-description {
    max-width: 700px;
    text-align: center;
    font-size: 1.2rem;
    color: #e0e0e0;
}
.minimized .audio-controls {
    font-size: 0.7em;
}
.minimized .control-item {
    width: 24px;
    height: 24px;
    font-size: 1em;
}
.minimized .user-display-name {
    font-size: 0.7em;
    padding: 5px;
    padding-right: 5px;
}
.minimized .video-options {
    padding: 5px;
}
/* Special styling for WebKit/Blink */
.minimized > input[type="range"]::-webkit-slider-thumb,
.minimized > input[type="range"]::-moz-range-thumb,
.minimized > input[type="range"]::-ms-thumb {
    height: 12px;
    width: 12px;
    border-radius: 6px;
    margin-top: -7px;
}

/* START OF ERROR PAGES */

.error-404-container,
.error-403-container,
.room-404-container {
    min-height: 60vh;
    margin: 60px auto;
    display: flex;
    align-items: center;
}

.error-404-container .error-404-div-container,
.error-403-container .error-403-div-container,
.room-404-container .room-404-div-container {
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
}

.error-404-container .error-404-div-container .first-third-text,
.error-403-container .error-403-div-container .first-third-text,
.room-404-container .room-404-div-container .first-third-text {
    color: #333333;
    font-size: 20px;
    font-weight: 400;
    line-height: 23px;
}

.room-404-container .room-404-div-container .kino404-text {
    max-width: 400px;
    text-align: center;
}

.error-404-container .error-404-div-container .second-text,
.error-403-container .error-403-div-container .second-text,
.room-404-container .room-404-div-container .second-text {
    color: #032836;
    font-size: 72px;
    font-weight: 600;
    line-height: 75px;
}

.error-404-container .error-404-div-container .error-button,
.error-403-container .error-403-div-container .error-button,
.room-404-container .room-404-div-container .error-button {
    color: #032836;
    border: 2px solid #032836;
    padding: 8px 15px;
    font-size: 16px;
    text-align: center;
    font-weight: 700;
    line-height: 19px;
    border-radius: 4px;
    letter-spacing: 0.005em;
    text-transform: uppercase;
    margin: 45px 0 60px;
    background-color: #fff;
}

.error-404-container .error-404-div-container .error-button:hover,
.error-403-container .error-403-div-container .error-button:hover,
.room-404-container .room-404-div-container .error-button:hover {
    text-decoration: none;
    background-color: rgba(0, 0, 0, 0.04);
}

.error-404-container .error-404-div-container .error-image,
.error-403-container .error-403-div-container .error-image,
.room-404-container .room-404-div-container .error-image {
    width: 100%;
}

/* TABLET */
@media screen and (max-width: 959px) {

}

/* MOBILE */
@media screen and (max-width: 599px) {
    .error-404-container,
    .error-403-container,
    .room-404-container {
        margin: 50px auto;
    }
    .error-404-container .error-404-div-container .first-third-text,
    .error-403-container .error-403-div-container .first-third-text,
    .room-404-container .room-404-div-container .first-third-text {
        font-size: 18px;
    }
    .error-404-container .error-404-div-container .second-text,
    .error-403-container .error-403-div-container .second-text,
    .room-404-container .room-404-div-container .second-text {
        font-size: 65px;
        line-height: 65px;
    }
    .error-404-container .error-404-div-container .error-button,
    .error-403-container .error-403-div-container .error-button,
    .room-404-container .room-404-div-container .error-button {
        font-size: 14px;
        margin: 25px 0 45px;
    }
}

/* END OF ERROR PAGES */

.error-code {
    position: absolute;
    transform: rotate(-10deg);
    font-size: 400px;
    color: var(--secondary-color);
    opacity: 0.15;
    z-index: -1;
}

@media screen and (max-width: 768px) {
    .error-code {
        font-size: 200px;
    }
}

/*********************************
  ************* FOOTER *************
  *********************************/

footer {
    width: 100%;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    display: block;
    flex-direction: column;
    align-items: center;
    background-color: #032836 !important;
    color: #fff;
    padding: 1rem 0;
}
footer ul {
    list-style: none;
    align-self: flex-start;
}
footer ul li {
    margin-top: 1rem;
    font-weight: 500;
}
footer a {
    text-decoration: none;
    color: #fff;
}
footer a:hover {
    text-decoration: none;
    color: #eeeeee;
}
footer .social-links {
    flex-direction: row;
    align-self: flex-start;
    margin-bottom: 1rem;
}
.footer .social-list li {
    padding-right: 1rem;
}
svg:not(:root).svg-inline--fa {
    overflow: visible;
}
.svg-inline--fa.fa-w-10 {
    width: 0.625em;
}
.svg-inline--fa.fa-w-16 {
    width: 1em;
}
.svg-inline--fa.fa-w-14 {
    width: 0.875em;
}
.svg-inline--fa {
    display: inline-block;
    font-size: inherit;
    height: 1em;
    overflow: visible;
    vertical-align: -0.125em;
}
/* footer .footer_rights {
      margin-top: 1rem;
      display: flex;
      justify-content: space-between;
      width: 80%;
  } */
footer .flex {
    display: flex;
}
footer span {
    padding: 0;
    margin: 0;
}
@media screen and (max-width: 768px) {
    /* .footer_rights {
          flex-direction: column;
          align-items: center;
          flex-wrap: wrap;
      } */
}
@media screen and (max-width: 1024px) {
    /* .footer_rights span {
          font-size: .8rem;
          line-height: 1.2rem;
      } */
}
@media screen and (max-width: 480px) {
    /* .footer_rights span {
          font-size: .6rem;
          line-height: 1.2rem;
      } */
}
.shadow-md {
    background-color: #ffffff !important;
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.3);
}

a {
    color: #2f71c3;
}
.text-bold {
    font-weight: 500;
}
h6,
h5,
h4,
h3 {
    color: #032836;
}
.billing-page .nav-link.active {
    color: white !important;
    background-color: #032836 !important;
    border-radius: 5px !important;
    border: none !important;
}

/* Timer component styling */
.timer-container-component{
    overflow: hidden;
    opacity: 1;
    max-height: 0px;
    transition: all 0.3s;
}
.timer-container-component.show{
    opacity: 1;
    max-height: 160px;
    margin-top: 8px;
}
